.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;

}

.wrapper {
    padding: 0 rem(10);

    @include media-breakpoint-up(sm) {
        padding: 0;
    }
}

.main {
    flex-grow: 1;
    position: relative;

    &__wrap {
        padding-top: rem(85);
        position: relative;
    }

    @include media-breakpoint-up(sm) {
        display: flex;
        flex-direction: column;

        &__wrap {
            margin: auto 0;
            padding-top: rem(126);
        }
    }

    @include media-breakpoint-up(md) {


        &__wrap {
            padding-top: rem(130);
        }
    }

    @media (min-width: 1000px) and (max-height: 700px) {
        display: flex;
        flex-direction: column;

        &__wrap {
            margin: auto 0;
            padding-top: rem(100);
        }
    }

    @include media-breakpoint-up(lg) {
        display: flex;
        flex-direction: column;

        &__wrap {
            margin: auto 0;
            padding-top: rem(160);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__wrap {

        }
    }
}

.promo-header {
    z-index: 30;
    position: relative;
    margin-bottom: rem(44);
    transition: .3s;

    @include media-breakpoint-up(sm) {
        margin-bottom: rem(64);
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(44);
    }

    @media (min-width: 1000px) and (max-height: 720px) {
        margin-bottom: rem(48);
    }

    @include media-breakpoint-up(lg) {
        margin-bottom: rem(50);
    }

    @include media-breakpoint-up(xl) {}
    @include media-breakpoint-up(xxl) {}
    @include media-breakpoint-up(xxxl) {}
}

.promo-heading {
    margin: 0;
    font-weight: 400;
    font-size: rem(30);
    line-height: rem(34);
    white-space: nowrap;
    text-transform: uppercase;

    span {
        display: block;
    }

    strong {
        display: block;
        font-weight: 400;
        font-size: rem(37);
        line-height: rem(45);
    }

    @media (min-width: 480px) {
        font-size: rem(46);
        line-height: rem(55);

        strong {
            font-size: rem(56);
            line-height: rem(65);
        }
    }

    @include media-breakpoint-up(sm) {
        font-size: rem(60);
        line-height: rem(74);

        strong {
            font-size: rem(73);
            line-height: rem(90);
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(60);
        line-height: rem(74);

        strong {
            font-size: rem(73);
            line-height: rem(90);
        }
    }

    @media (min-width: 1000px) and (max-height: 720px) {
        font-size: rem(48);
        line-height: rem(58);

        strong {
            font-size: rem(58);
            line-height: rem(72);
        }
    }

    @include media-breakpoint-up(lg) {
        font-size: rem(60);
        line-height: rem(74);

        strong {
            font-size: rem(73);
            line-height: rem(90);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(67);
        line-height: rem(82);

        strong {
            font-size: rem(83);
            line-height: rem(100);
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(87);
        line-height: rem(106);

        strong {
            font-size: rem(106);
            line-height: rem(130);
        }
    }

    @include media-breakpoint-up(xxxl) {
        font-size: rem(127);
        line-height: rem(148);

        strong {
            font-size: rem(149);
            line-height: rem(182);
        }
    }
}

.promo-text {
    z-index: 50;
    position: relative;
    font-size: rem(17);
    line-height: rem(28);
    margin-bottom: rem(40);
    font-family: $font-family-secondary;

    &--lg {
        display: none;
    }

    @include media-breakpoint-up(sm) {
    }

    @media (min-width: 1000px) and (max-height: 700px) {

        &__wrap {
            width: rem(640);
        }
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            width: auto;
        }

        &--sm {
            display: none;
        }

        &--lg {
            display: block;
        }
    }
}

.promo-media {
    z-index: 50;
    position: relative;
    margin-bottom: rem(40);

    &__airship {
        max-width: rem(414);
        margin: 0 auto;
    }

    @include media-breakpoint-up(sm) {
        left: 0;
        right: 0;
        top: rem(350);
        position: absolute;

        &__wrap {
            display: flex;
            justify-content: flex-end;
        }

        &__airship {
            margin: 0;
            width: rem(287);
            max-width: inherit;
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(md) {
        top: rem(280);

        &__airship {
            width: rem(349);
        }
    }

    @media (min-width: 1000px) and (max-height: 700px) {
        top: rem(80);

        &__airship {
            width: rem(280);
        }
    }

    @include media-breakpoint-up(lg) {
        top: rem(86);

        &__airship {
            width: rem(374);
        }
    }

    @include media-breakpoint-up(xl) {
        top: rem(98);

        &__airship {
            left: rem(-40);
            width: rem(401);
            position: relative;
        }
    }

    @include media-breakpoint-up(xxl) {
        top: rem(40);

        &__airship {
            left: rem(-80);
            width: rem(591);
        }
    }

    @include media-breakpoint-up(xxxl) {
        top: rem(40);

        &__airship {
            width: rem(685);
        }
    }
}

.mountains-one {
    z-index: 30;
    left: 0;
    top: rem(116);
    width: rem(644);
    height: rem(176);
    position: absolute;
    //   transition: .3s;

    @media (min-width: 480px) {
        top: rem(140);
        width: rem(963);
        height: rem(262);
    }

    @include media-breakpoint-up(sm)  {
        top: rem(188);
        width: rem(1401);
        height: rem(382);
    }

    @include media-breakpoint-up(md)  {
        top: rem(210);
        width: 100%;
        height: auto;
    }

    @media (min-width: 1000px) and (max-height: 700px) {
        top: rem(154);
    }

    @include media-breakpoint-up(lg)  {
        top: rem(232)
    }

    @include media-breakpoint-up(xl)  {
        top: rem(230)
    }

    @include media-breakpoint-up(xxl) {
        top: rem(260)
    }

    @include media-breakpoint-up(xxxl) {
        top: rem(304)
    }
}

.mountains-two {
    left: 0;
    top: rem(44);
    z-index: 10;
    width: rem(644);
    height: rem(142);
    position: absolute;
    display: flex;
    justify-content: flex-end;
    transition: .3s;

    &__image {
        width: 100%;
        max-width: rem(1600);
    }

    @media (min-width: 480px) {
        top: rem(35);
        width: rem(963);
        height: rem(212);
    }

    @include media-breakpoint-up(sm) {
        top: rem(25);
        width: rem(1401);
        height: rem(309);
    }

    @include media-breakpoint-up(md) {
        top: rem(98);
        width: 100%;
        height: auto;
    }

    @media (min-width: 1000px) and (max-height: 700px) {
        top: rem(50);
    }

    @include media-breakpoint-up(lg) {
        top: rem(96);
    }

    @include media-breakpoint-up(xl) {}
    @include media-breakpoint-up(xxl) {
        left: 0;
        top: rem(56);

        &__image {
            width: 100%;
            max-width: inherit;
        }
    }
    @include media-breakpoint-up(xxxl) {
        top: rem(26);
    }
}

.img-fit {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center center;
}

.img-cover {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    object-position: center center;

    &--bottom {
        object-position: center top;
    }
}

.heading {
    font-weight: 400;
    line-height: 1.2;
    font-size: rem(40);
    margin-bottom: 30px;
    position: relative;
    text-transform: uppercase;

    span {
        left: rem(-4);
        display: block;
        position: relative;
    }

    &--line {
        padding-bottom: 20px;
        border-bottom: 1px solid #b7b7b7;
    }

    @media (min-width: 480px) {

        &--line {
            margin-bottom: rem(50 );
        }
    }

    @include media-breakpoint-up(sm) {
        font-size: rem(60);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(80);
        margin-bottom: rem(60);

        &--line {
            margin-bottom: rem(60);
        }

        span {
            left: rem(-8);
        }
    }

    @include media-breakpoint-up(lg) {
        font-size: rem(100);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(100);

        &--line {
            margin-bottom: rem(90);
        }

        span {
            left: rem(-10);
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(125);
    }
}

.page {
    padding-top: rem(30);
    flex-grow: 1;
    position: relative;
}

.case-item {
    color: $white;
    display: block;
    overflow: hidden;
    position: relative;
    height: rem(160px);
    text-decoration: none;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 25;
        content: '';
        display: block;
        position: absolute;
        background: linear-gradient(0deg, rgba(0,0,0,0.8) 0%, rgba(0,0,0,0.1) 50%, rgba(0,0,0,0) 100%);
    }

    &:hover {
        color: $white;
        text-decoration: none;
    }

    &:not(:last-child) {
        margin-bottom: rem(20);
    }

    &__image {
        z-index: 1;
        height: 100%;
        display: block;
        position: relative;
    }

    &__content {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 30;
        display: block;
        position: absolute;
        padding: rem(20) rem(16);
    }

    &__title {
        display: block;
        font-size: rem(30);
        line-height: rem(32);
        text-transform: uppercase;
    }

    &__text {
        display: none;
        font-size: rem(17);
        line-height: rem(24);
        font-family: $font-family-secondary;
    }

    &__video {
        display: none;
    }

    @media (min-width: 480px) {
        height: rem(250);

        &__title {
            padding-bottom: rem(15);
        }

        &__text {
            display: block;
            padding-top: rem(15);
            border-top: 1px solid #5c5c5c;
        }
    }

    @include media-breakpoint-up(sm) {
        height: rem(280);

        &:before {
            background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0.2) 60%, rgba(0,0,0,0) 100%);
        }

        &__title {
            font-size: rem(45);
            line-height: rem(50);
        }

        &__content {
            padding: rem(25) rem(30);
        }
    }

    @include media-breakpoint-up(md) {
        height: rem(320);

        &__title {
            font-size: rem(55);
            line-height: rem(58);
        }
    }

    @include media-breakpoint-up(lg) {
        height: rem(370);

        &__content {
            padding: rem(40) rem(50);
        }

        &__title {
            font-size: rem(65);
            line-height: rem(68);
        }

        &__video {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 10;
            display: block;
            position: absolute;

            video {
                width: 100%;
                height: 100%;
                object-fit: cover;
                object-position: center 10%;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        height: rem(430);
    }

    @include media-breakpoint-up(xxl) {
        height: rem(500);
    }

    @include media-breakpoint-up(xxxl) {
        height: rem(700);

        &__title {
            font-size: rem(80);
            line-height: rem(84);
        }
    }
}

.post-nav {
    display: none;
    font-size: rem(17);
    line-height: rem(28);
    font-family: $font-family-secondary;

    ul {
        margin: 0;
        padding: 0;
        list-style: none;

        li {
            margin-bottom: rem(16);

            a {
                color: #006fce;
                text-decoration: none;

                &:hover {
                    color: #006fce;
                    text-decoration: underline;
                }

                &.active {
                    color: $black;
                    font-weight: 700;
                    text-decoration: none;

                    &:hover {
                        color: $black;
                        text-decoration: none;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}

.sticky {
    top: rem(110) !important;
    position: fixed;
    z-index: 101;
    transition: .3s;
}

.stop {
    position: relative;
    z-index: 101;
}

.post-gallery {
    position: relative;

    @include media-breakpoint-up(lg) {

        &__item {
            -webkit-filter: grayscale(100%);
            -moz-filter: grayscale(100%);
            -ms-filter: grayscale(100%);
            -o-filter: grayscale(100%);
            filter: grayscale(100%);
            transition: .3s;

            &:hover {
                -webkit-filter: grayscale(0%);
                -moz-filter: grayscale(0%);
                -ms-filter: grayscale(0%);
                -o-filter: grayscale(0%);
                filter: grayscale(0%);
            }
        }
    }
}

.swiper-pagination {
    left: 0;
    right: 0;
    bottom: rem(30);
    z-index: 20;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
}

.swiper-pagination-bullet {
    width: rem(10);
    height: rem(10);
    margin: 0 rem(6);
    display: block;
    border-radius: 50%;
    background: $black;
    opacity: 0.3;
    cursor: pointer;
}

.swiper-pagination-bullet-active {
    opacity: 1;
}

.swiper-nav {
    top: calc(50% - 1.25rem);
    z-index: 30;
    position: absolute;
    display: none;

    &--prev {
        left: rem(30);
    }

    &--next {
        right: rem(30);
    }

    @media (min-width: 992px) {
        display: block;
    }
}

@media (min-width: 480px) {

}

@media (min-width: 720px) {

}

@media (min-width: 992px) {

}

@media (min-width: 1000px) and (max-height: 768px) {

}


@media (min-width: 2560px) {

}


.hide-sm-md {

    @include media-breakpoint-up(sm) {
        display: none;
    }

    @include media-breakpoint-up(lg) {
        display: block;
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
@include media-breakpoint-up(xxxl) {}
